body {
    background-color:white;
}

body:after {
    content:
            url('/graph/sudoku/ArrowLeft2.png')
            url('/graph/sudoku/ArrowRight2.png')
            url('/graph/sudoku/ArrowLeft.png')
            url('/graph/sudoku/ArrowRight.png')
            url('/graph/sudoku/NoArrowLeft.png')
            url('/graph/sudoku/NoArrowRight.png')
            url('/graph/sudoku/Eraser.png')
            url('/graph/sudoku/Eraser2.png')
            url('/graph/iconback2.jpg')
            url('/graph/iconforward2.jpg')
            url('/graph/sudoku/Help.png')
            url('/graph/sudoku/Help2.png')
            url('/graph/sudoku/Help3.png')
            url('/graph/sudoku/Table.png')
            url('/graph/sudoku/Table2.png')
            url('/graph/sudoku/Net.png')
            url('/graph/sudoku/Net2.png')
            url('/graph/sudoku/Net3.png')
;
    display: none;
}

.sudoku1 canvas {
    position: relative;
    border:0px solid #ccc;
}

.sudoku1 #sudokufield {
    width: 100%;
    height: 100%;
    max-width: 470px;
    max-height: 470px;
    margin: 0 auto;
    position: relative;
    display: inline-block;
    box-sizing:border-box;
}

.sudoku1 #field {
    width: 100%;
}
#scanwordfield #field{
    width: auto;
}
.sudoku1 .baseblue {
    display: block;
    padding: 30px;
    font-size: 20px;
    color: #59ac3a!important;
    text-decoration: none;
}
.sudoku1 .baseblue:hover {
    text-decoration: underline;
}
.sudoku1 .baselightgray{
    font-weight: bold;
}
.sudoku1 .sudoku_p.post_words p {
    width: 47%!important;
    color: #3c9e00;
}
.sudoku1 .id_title{
    color: #3c9e00!important;;
}
.sudoku1 .sudoku_p.post_words p span {
    color: #555;
}
.sudoku1 .sudoku {
    width: 100%;
    height: 100%;
    max-width: 660px;
    padding: 0px;
    background: #59ac3a;
    /*background: url('/graph/sudoku/Fon.jpg');*/
    border-spacing: 0px;
    /*scrollbar-face-color: expression( runtimeStyle.scrollbarFaceColor = '#fff', cellSpacing = 0); !* С…Р°Рє РґР»СЏ IE *!*/
    border-color: white;
    margin: 0 auto;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}

.sudoku1 .buttonblock {
    display: inline-block;
    width: 80px;
    margin-top: 20px;
    margin-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
    text-align: center;
    vertical-align: top;
    box-sizing:border-box;
}

.sudoku1 a.buttonsud {
    display: inline-block;
    position: relative;
    margin-top: 1px;
    margin-left: 1px;
    margin-bottom: 1px;
    margin-right: 1px;
    padding: 0 0px;
    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(255,255,255,.50);
    font: bold 30px/41px Trebuchet MS, sans-serif;
    border: 3px solid #026e06; /* Р”РѕР±Р°РІР»СЏРµРј СЂР°РјРєСѓ */
    vertical-align : top;

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #3e5706;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.sudoku1 a.buttonsud:hover {
    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
}

.sudoku1 a.buttonsud:active {
    margin-top: 2px;
    margin-left: 2px;
    margin-bottom: 2px;
    margin-right: 2px;
    font: bold 28px/40px "Trebuchet MS", Helvetica, sans-serif;
    -webkit-box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
    -moz-box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
    box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
}

.sudoku1 a.digit {
    background: #a1ff66;
    background: -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.digit:hover {
    background: #a1ff66;
    background:	-moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.eraser {
    background: #a1ff66;
    background: url('/graph/sudoku/Eraser.png') no-repeat, -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: url('/graph/sudoku/Eraser.png') no-repeat, -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.eraser:hover {
    background: #a1ff66;
    background:	url('/graph/sudoku/Eraser.png') no-repeat, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Eraser.png') no-repeat, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser.png') no-repeat, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.eraser:active {
    background: #a1ff66;
    background:	url('/graph/sudoku/Eraser2.png') no-repeat center, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Eraser2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Eraser2.png') no-repeat center, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser2.png') no-repeat center, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser2.png') no-repeat center, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Eraser2.png') no-repeat center, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.help {
    background: #a1ff66;
    background: url('/graph/sudoku/Help.png') no-repeat, -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: url('/graph/sudoku/Help.png') no-repeat, -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.help:hover {
    background: #a1ff66;
    background:	url('/graph/sudoku/Help.png') no-repeat, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Help.png') no-repeat, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help.png') no-repeat, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.help:active {
    background: #a1ff66;
    background:	url('/graph/sudoku/Help2.png') no-repeat center, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Help2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Help2.png') no-repeat center, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help2.png') no-repeat center, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help2.png') no-repeat center, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Help2.png') no-repeat center, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.nohelp {
    background: #a1ff66;
    background: url('/graph/sudoku/Help3.png') no-repeat, -moz-linear-gradient(top, #9ec06a 0%, #5d8421 100%);
    background: url('/graph/sudoku/Help3.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#9ec06a), color-stop(100%,#5d8421));
    background: url('/graph/sudoku/Help3.png') no-repeat, -webkit-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/Help3.png') no-repeat, -o-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/Help3.png') no-repeat, -ms-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/Help3.png') no-repeat, linear-gradient(top, #9ec06a 0%,#5d8421 100%);
}

.sudoku1 a.arrowleft {
    background: #a1ff66;
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.arrowleft:hover {
    background: #a1ff66;
    background:	url('/graph/sudoku/ArrowLeft.png') no-repeat, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft.png') no-repeat, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.arrowleft:active {
    background: #a1ff66;
    background:	url('/graph/sudoku/ArrowLeft2.png') no-repeat center, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/ArrowLeft2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/ArrowLeft2.png') no-repeat center, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft2.png') no-repeat center, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft2.png') no-repeat center, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowLeft2.png') no-repeat center, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.arrowright {
    background: #a1ff66;
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.arrowright:hover {
    background: #a1ff66;
    background:	url('/graph/sudoku/ArrowRight.png') no-repeat, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight.png') no-repeat, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.arrowright:active {
    background: #a1ff66;
    background:	url('/graph/sudoku/ArrowRight2.png') no-repeat center, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/ArrowRight2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/ArrowRight2.png') no-repeat center, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight2.png') no-repeat center, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight2.png') no-repeat center, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/ArrowRight2.png') no-repeat center, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.noarrowright {
    background: #a1ff66;
    background:	url('/graph/sudoku/NoArrowRight.png') no-repeat, -moz-linear-gradient(top,  #9ec06a 0%, #5d8421 100%);
    background: url('/graph/sudoku/NoArrowRight.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#9ec06a), color-stop(100%,#5d8421));
    background: url('/graph/sudoku/NoArrowRight.png') no-repeat, -webkit-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowRight.png') no-repeat, -o-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowRight.png') no-repeat, -ms-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowRight.png') no-repeat, linear-gradient(top, #9ec06a 0%,#5d8421 100%);
}

.sudoku1 a.noarrowleft {
    background: #a1ff66;
    background:	url('/graph/sudoku/NoArrowLeft.png') no-repeat, -moz-linear-gradient(top,  #9ec06a 0%, #5d8421 100%);
    background: url('/graph/sudoku/NoArrowLeft.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#9ec06a), color-stop(100%,#5d8421));
    background: url('/graph/sudoku/NoArrowLeft.png') no-repeat, -webkit-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowLeft.png') no-repeat, -o-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowLeft.png') no-repeat, -ms-linear-gradient(top, #9ec06a 0%,#5d8421 100%);
    background: url('/graph/sudoku/NoArrowLeft.png') no-repeat, linear-gradient(top, #9ec06a 0%,#5d8421 100%);
}

.sudoku1 a.nobuttonsud {
    display: inline-block;
    position: relative;
    margin-top: 1px;
    margin-left: 1px;
    margin-bottom: 1px;
    margin-right: 1px;
    padding: 0 0px;

    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(255,255,255,.50);
    font: bold 22px/28px Trebuchet MS, sans-serif;
    border: 3px solid #666;

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #3e5706;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.sudoku1 a.nobuttonsud span {
    display: block;
    font: bold 12px/4px Trebuchet MS, sans-serif;
}

.sudoku1 a.nobuttonsud:active {
    font: bold 21px/28px Trebuchet MS, sans-serif;
}

.sudoku1 a.nobuttonsud:active span {
    display: block;
    font: bold 11px/3px Trebuchet MS, sans-serif;
}

.sudoku1 a.red:active {
    margin-top: 2px;
    margin-left: 2px;
    margin-bottom: 2px;
    margin-right: 2px;
}

.sudoku1 a.nosmall {
    width: 62px;
    height: 42px;
}

.sudoku1 a.small {
    width: 62px;
    height: 42px;
}

.sudoku1 a.big {
    width: 62px;
    height: 62px;
}

.sudoku1 a.small:active {
    width: 60px;
    height: 40px;
}

.sudoku1 a.big:active {
    width: 60px;
    height: 60px;
}

.sudoku1 a.red {
    background: #fecd91;
    background: -moz-linear-gradient(top, #fecd91 0%, #fe6511 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#fecd91), color-stop(100%,#fe6511));
    background: -webkit-linear-gradient(top, #fecd91 0%,#fe6511 100%);
    background: -o-linear-gradient(top, #fecd91 0%,#fe6511 100%);
    background: -ms-linear-gradient(top, #fecd91 0%,#fe6511 100%);
    background: linear-gradient(top, #fecd91 0%,#fe6511 100%);
}

.sudoku1 a.iconback {
    vertical-align: middle;
    display: inline-block;
    height:30px;
    width:31px;
    background-image: url(/graph/iconback.jpg);
}
.sudoku1 a.iconback:hover {
    background-image: url(/graph/iconback2.jpg);
}

.sudoku1 a.iconforward {
    vertical-align: middle;
    display: inline-block;
    height:30px;
    width:31px;
    background-image: url(/graph/iconforward.jpg);
}
.sudoku1 a.iconforward:hover {
    background-image: url(/graph/iconforward2.jpg);
}

.sudoku1 a.number {
    text-decoration: none;
    font: bold 18px Helvetica, sans-serif;
    vertical-align: middle;
    margin: 5px;
}
.sudoku1 a:link.number {color:#000055;}
.sudoku1 a:hover.number {text-decoration:none; color:#000055;}
.sudoku1 a:active.number {color:#000055; text-decoration:none;}
.sudoku1 a:visited.number {color:#000055;}

.sudoku1 a.frozedbutton {
    display: inline-block;
    position: relative;
    margin-top: 1px;
    margin-left: 1px;
    margin-bottom: 1px;
    margin-right: 1px;
    padding: 0 0px;
    width: 62px;
    height: 62px;

    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(0,0,0,.50);
    font: bold 22px/28px Trebuchet MS, sans-serif;
    border: 3px solid #666; /* Р”РѕР±Р°РІР»СЏРµРј СЂР°РјРєСѓ */

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #3e5706;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.sudoku1 a.frozedbutton span {
    display: inline;
    font: bold 18px Trebuchet MS, sans-serif;
    color: #ffffff;
}

.sudoku1 div.timer{
    margin-top: 38px;
    display: inline-block;
}

.sudoku1 a.table {
    background: #a1ff66;
    background: url('/graph/sudoku/Table.png') no-repeat, -moz-linear-gradient(top, #deffca 0%, #93ec5d 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#deffca), color-stop(100%,#93ec5d));
    background: url('/graph/sudoku/Table.png') no-repeat, -webkit-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -o-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -ms-linear-gradient(top, #deffca 0%,#93ec5d 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, linear-gradient(top, #deffca 0%,#93ec5d 100%);
}

.sudoku1 a.table:hover {
    background: #a1ff66;
    background:	url('/graph/sudoku/Table.png') no-repeat, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Table.png') no-repeat, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table.png') no-repeat, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.table:active {
    background: #a1ff66;
    background:	url('/graph/sudoku/Table2.png') no-repeat center, -moz-linear-gradient(top,  #a1ff66 0%, #70b247 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#a1ff66), color-stop(100%,#70b247));
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -o-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -ms-linear-gradient(top,  #a1ff66 0%,#70b247 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, linear-gradient(top,  #a1ff66 0%,#70b247 100%);
}

.sudoku1 a.buttonsudtable {
    display: inline-block;
    position: relative;
    margin-top: 2px;
    margin-left: 2px;
    margin-bottom: 2px;
    margin-right: 2px;
    padding: 0 0px;
    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(255,255,255,.50);
    font: bold 30px/40px Trebuchet MS, sans-serif;
    border: 3px solid #37687c;
    vertical-align : top;

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #3e5706;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;

    width: 60px;
    height: 60px;
}

.sudoku1 a.tabledown {
    background: #d2f2ff;
    background:	url('/graph/sudoku/Table2.png') no-repeat center, -moz-linear-gradient(top,  #d2f2ff 0%, #55a3c3 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#d2f2ff), color-stop(100%,#55a3c3));
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-linear-gradient(top,  #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -o-linear-gradient(top,  #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -ms-linear-gradient(top,  #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, linear-gradient(top,  #d2f2ff 0%,#55a3c3 100%);
}

.sudoku1 a.tabledown:hover {
    background: #d2f2ff;
    background:	url('/graph/sudoku/Table2.png') no-repeat center, -moz-linear-gradient(top,  #b8e9fd 0%, #3d8dae 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-gradient(linear, left top, left bottom, color-stop(0%,#b8e9fd), color-stop(100%,#3d8dae));
    background: url('/graph/sudoku/Table2.png') no-repeat center, -webkit-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -o-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, -ms-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Table2.png') no-repeat center, linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
}

.sudoku1 a.tabledigit {
    display: inline-block;
    position: relative;
    margin-top: 1px;
    margin-left: 1px;
    margin-bottom: 1px;
    margin-right: 1px;
    padding: 0 0px;
    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(255,255,255,.50);
    font: bold 30px/40px Arial;
    border: 3px solid #37687c;
    vertical-align : top;

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #18474a;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;

    background: #d2f2ff;
    background: url('/graph/sudoku/Net.png'), -moz-linear-gradient(top, #d2f2ff 0%, #55a3c3 100%);
    background: url('/graph/sudoku/Net.png'), -webkit-gradient(linear, left top, left bottom, color-stop(0%,#d2f2ff), color-stop(100%,#55a3c3));
    background: url('/graph/sudoku/Net.png'), -webkit-linear-gradient(top, #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Net.png'), -o-linear-gradient(top, #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Net.png'), -ms-linear-gradient(top, #d2f2ff 0%,#55a3c3 100%);
    background: url('/graph/sudoku/Net.png'), linear-gradient(top, #d2f2ff 0%,#55a3c3 100%);
}

.sudoku1 a.tabledigit:hover {
    background: #d2f2ff;
    background: url('/graph/sudoku/Net.png'), -moz-linear-gradient(top,  #b8e9fd 0%, #3d8dae 100%);
    background: url('/graph/sudoku/Net.png'), -webkit-gradient(linear, left top, left bottom, color-stop(0%,#b8e9fd), color-stop(100%,#3d8dae));
    background: url('/graph/sudoku/Net.png'), -webkit-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net.png'), -o-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net.png'), -ms-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net.png'), linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
}

.sudoku1 a.tabledigit:active {
    background: #d2f2ff;
    background: url('/graph/sudoku/Net2.png'), -moz-linear-gradient(top,  #b8e9fd 0%, #3d8dae 100%);
    background: url('/graph/sudoku/Net2.png'), -webkit-gradient(linear, left top, left bottom, color-stop(0%,#b8e9fd), color-stop(100%,#3d8dae));
    background: url('/graph/sudoku/Net2.png'), -webkit-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net2.png'), -o-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net2.png'), -ms-linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
    background: url('/graph/sudoku/Net2.png'), linear-gradient(top,  #b8e9fd 0%,#3d8dae 100%);
}

.sudoku1 a.tabledigit:hover {
    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 0px 0px 2px rgba(0,0,0, .5);
}

.sudoku1 a.tabledigit:active {
    margin-top: 2px;
    margin-left: 2px;
    margin-bottom: 2px;
    margin-right: 2px;
    font: bold 28px/40px Arial;
    -webkit-box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
    -moz-box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
    box-shadow: inset 0px 0px 3px rgba(0,0,0, .8);
}

.sudoku1 a.tabledigitpress {
    display: inline-block;
    position: relative;
    margin-top: 2px;
    margin-left: 2px;
    margin-bottom: 2px;
    margin-right: 2px;
    padding: 0 0px;
    text-align: center;
    text-decoration: none;
    text-shadow: 1px 1px 1px rgba(0,0,0,.50);
    font: bold 30px/40px Arial;
    border: 3px solid #37687c;

    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;

    -webkit-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    -moz-box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);
    box-shadow: 1px 1px 1px rgba(0,0,0,.29), inset 1px 1px 1px rgba(255,255,255,.44);

    color: #c6eeff;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;

    background: #d2f2ff;
    background: url('/graph/sudoku/Net3.png'), -moz-linear-gradient(top, #3da7d2 0%, #0d5471 100%);
    background: url('/graph/sudoku/Net3.png'), -webkit-gradient(linear, left top, left bottom, color-stop(0%,#3da7d2), color-stop(100%,#0d5471));
    background: url('/graph/sudoku/Net3.png'), -webkit-linear-gradient(top, #3da7d2 0%,#0d5471 100%);
    background: url('/graph/sudoku/Net3.png'), -o-linear-gradient(top, #3da7d2 0%,#0d5471 100%);
    background: url('/graph/sudoku/Net3.png'), -ms-linear-gradient(top, #3da7d2 0%,#0d5471 100%);
    background: url('/graph/sudoku/Net3.png'), linear-gradient(top, #3da7d2 0%,#0d5471 100%);
    width: 60px;
    height: 40px;
}

.sudoku1 .textarrow { display: table-cell;}
.sudoku1 .textsud { display: table-cell;}
.sudoku1 a.vis { display: inline-block;}
.sudoku1 a.novis { display: none;}

@media screen and (max-width: 924px) {
    .sudoku1 .textarrow { display: none;}
}
@media screen and (max-width: 1000px) {
    .sudoku1 .textsud { display: none;}
    .sudoku1 .buttonblock { width: 100%; margin-top: 0px;}
    .sudoku1 .sudoku { max-width: 490px;}
    .sudoku1 a.vis { display: none;}
    .sudoku1 a.novis { display: inline-block;}
}